# eric5.Plugins.VcsPlugins.vcsMercurial.FetchExtension.fetch

Module implementing the fetch extension interface.

### Global Attributes

None

### Classes

Fetch | Class implementing the fetch extension interface.

### Functions

None

## Fetch

Class implementing the fetch extension interface.

### Derived from

HgExtension

### Class Attributes

None

### Class Methods

None

### Methods

Fetch | Constructor
hgFetch | Public method to fetch changes from a remote repository.

### Static Methods

None

#### Fetch (Constructor)

Fetch(vcs)

Constructor

vcs
  reference to the Mercurial vcs object

#### Fetch.hgFetch

hgFetch(name)

Public method to fetch changes from a remote repository.

name
  file/directory name (string)

Returns:
  flag indicating that the project should be reread (boolean)

Up